<script setup lang="ts">
const fixBtn = {
  add: true,
  edit: true,
  delete: true
}

const tableHeaders = reactive([
  { title: '業務代表' },
  { title: '產品簡稱' },
  { title: '客戶簡稱' }
])

const tableData = reactive([
  {
    mainJobCode: 'syscode01',
    mainJobName: '進藥',
    order: 1
  },
  {
    mainJobCode: 'syscode02',
    mainJobName: '啟動',
    order: 2
  },
  {
    mainJobCode: 'syscode03',
    mainJobName: '啟動式上量',
    order: 3
  },
  {
    mainJobCode: 'syscode04',
    mainJobName: '活動',
    order: 4
  },
  {
    mainJobCode: 'syscode05',
    mainJobName: '保護',
    order: 5
  },
  {
    mainJobCode: 'syscode06',
    mainJobName: '其他',
    order: 6
  }
])

const showData = tableData

const onEdit = (val: any) => {
  console.log('parent edit', val)
}

const onDelete = (val: any) => {
  console.log('parent delete', val)
}
</script>

<template>
  <main class="container-fluid">
    <header>
      <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
          <li class="font-zh-small-regular breadcrumb-item">
            <a href="#">業務管理</a>
          </li>
          <li
            aria-current="page"
            class="font-zh-small-regular breadcrumb-item active"
          >
            業務擔當
          </li>
        </ol>
      </nav>
      <div class="d-flex justify-content-end w-100">
        <img
          alt="header-illustration"
          class="header-illustration"
          src="@/assets/images/header-illustration.svg"
        />
      </div>
      <div class="function-group">
        <div class="display-info">
          <h3 class="font-zh-h3">查詢業務擔當</h3>
          <div class="interact-button-list d-flex">
            <button
              class="btn btn-middle-gray-200 font-zh-button d-flex justify-content-center align-items-center"
              type="button"
            >
              <p>新增</p>
              <div class="icon-create"></div>
            </button>
            <button
              class="btn btn-middle-gray-200 font-zh-button d-flex justify-content-center align-items-center"
              type="button"
            >
              <p>匯出 Excel 檔</p>
              <div class="icon-export"></div>
            </button>
          </div>
        </div>
      </div>
    </header>
    <div class="single-operation-board card">
      <h3 class="font-zh-h3 text-color-main">查詢條件</h3>
      <form>
        <div class="card-body">
          <div class="row">
            <div class="col-12">
              <div class="row align-items-end">
                <div class="col-3">
                  <div class="input-item">
                    <label class="font-zh-p-medium form-label">業務代表</label>
                    <common-select-multi />
                  </div>
                </div>
                <div class="col-3">
                  <div class="input-item">
                    <label class="font-zh-p-medium form-label">客戶簡稱</label>
                    <common-select-multi />
                  </div>
                </div>
                <div class="col-3">
                  <div class="input-item">
                    <label class="font-zh-p-medium form-label">客戶類別</label>
                    <common-select
                      v-model="selectValue"
                      :select-list-data="selectList"
                    />
                  </div>
                </div>
                <div class="col-3">
                  <div class="input-item">
                    <label class="font-zh-p-medium form-label"
                      >客戶系統別</label
                    >
                    <common-select
                      v-model="selectValue"
                      :select-list-data="selectList"
                    />
                  </div>
                </div>
              </div>
            </div>
            <div class="col-12">
              <div class="row align-items-end">
                <div class="col-3">
                  <div class="input-item">
                    <label class="font-zh-p-medium form-label">產品簡稱</label>
                    <common-select-multi />
                  </div>
                </div>
                <div class="col-3">
                  <div class="input-item">
                    <label class="font-zh-p-medium form-label">版本</label>
                    <common-select
                      v-model="selectValue"
                      :select-list-data="selectList"
                    />
                  </div>
                </div>
                <div class="col-3">
                  <div class="d-grid gap-2">
                    <button
                      class="btn btn-large-secondary font-zh-button d-flex justify-content-center align-items-center"
                      type="submit"
                    >
                      <p>查詢</p>
                      <div class="icon-search"></div>
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
    <div>
      <basic-table
        :fix-btn="fixBtn"
        :table-data="showData"
        :table-headers="tableHeaders"
        @delete="onDelete"
        @edit="onEdit"
      />
    </div>
  </main>
</template>

<style lang="scss" scoped>
/** style */
</style>
